"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.viteMockServe = void 0;
const createMockServer_1 = require("./createMockServer");
const body_parser_1 = __importDefault(require("body-parser"));
function viteMockServe(opt) {
    let config;
    return {
        name: 'vite:mock',
        configResolved(resolvedConfig) {
            config = resolvedConfig;
        },
        configureServer: ({ app }) => {
            const { localEnabled = config.command === 'serve' } = opt;
            if (!localEnabled)
                return;
            createMockServer_1.createMockServer(opt);
            // parse application/x-www-form-urlencoded
            app.use(body_parser_1.default.urlencoded({ extended: false }));
            // parse application/json
            app.use(body_parser_1.default.json());
            app.use(createMockServer_1.requestMiddle(app, opt));
        },
    };
}
exports.viteMockServe = viteMockServe;
__exportStar(require("./types"), exports);
